
Redmine - Defect #38209

Error executing the thumbnail macro (Attachment image.png not found) when uploaded in note from

MacOS Firefox 109

2023-01-24 10:08 - Mateng Terbersen

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Text formatting Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 5.0.3

Description

This happens in Redmine 5.0.3 on a MacOS 12.6 Monterey system.

Similar to #37379, but the error occurs in notes always when the images are uploaded in Mozilla Firefox 109 (MacOS)

and the thumbnail macro {{thumbnail(image.png)}} is used.

The error usually does not occur in the issue description.

Images uploaded and inserted in both Browsers work fine (![](image.png)

Thumbnails created in Chrome from images uploaded in Firefox do not work

Thumbnails created in Firefox made from images uploaded in do not work

Thumbnails created in Firefox from images uploaded in Firefox do not work

It affects both .png and .jpg files.

It happens in Firefox Safe Mode

Only thumbnails created in Chrome from images uploaded in Chrome work fine.
Related issues:

Is duplicate of Redmine - Defect #37881: Thumbnails are no longer fetched for... Closed

History

#1 - 2023-01-24 10:09 - Mateng Terbersen

Test if this happens on redmine.org as well:

{{thumbnail(example.png)}}
(The macro seems to be inactive here)

Clarification:

This happens on a installation of Redmine 5.0.3 on Linux Debian, and I as a user access the system in a browser from a MacOS 12.6 Monterey

system.

#2 - 2023-01-24 15:16 - Go MAEDA

Could you try replacing lib/redmine/wiki_formatting/macros.rb with the one that can be downloaded from the following URL and see if the reported

issue occurs?

https://www.redmine.org/projects/redmine/repository/revisions/22012/entry/trunk/lib/redmine/wiki_formatting/macros.rb

#3 - 2023-01-26 15:29 - Mateng Terbersen

This works, thanks a lot! Is this fix already released in a Redmine version?

#4 - 2023-01-27 04:45 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Duplicate

Thank you for your feedback. Closing this issue.
https://www.redmine.org/issues/37379
https://www.redmine.org/attachments/30133
https://www.redmine.org/attachments/30133
Mateng Terbersen wrote:

Is this fix already released in a Redmine version?

 No, it has not yet been delivered. The fix will be included in the upcoming Redmine 5.0.5 (#37881).

#5 - 2023-01-27 04:45 - Go MAEDA

- Is duplicate of Defect #37881: Thumbnails are no longer fetched for all notes of an issue added
